#ifndef __BST_H__
#define __BST_H__

#include "BSTInterface.h"
#include "node.h"
#include <iostream>

using namespace std;


class bst : public BSTInterface {
    public:
        bst();
        ~bst();
        node* root;
        NodeInterface * getRootNode();
        bool add(int data);
        bool remove(int data);
};
#endif
